package client.renderer.layers;

import client.renderer.entity.RendererLivingEntity;
import client.renderer.model.ModelBiped;

public class LayerArachnoidArmor extends LayerArmor
{
    public LayerArachnoidArmor(RendererLivingEntity<?> rendererIn)
    {
        super(rendererIn, 12, 12);
    }

    protected void setModelPartVisible(ModelBiped model, int armorSlot)
    {

        switch (armorSlot)
        {
            case 1:
            case 2:
            	model.setVisible(false);
                break;

            case 3:
            case 4:
                super.setModelPartVisible(model, armorSlot);
        }
    }
}
